Sign in Start for free

Project Templates

Share a project template to spaces

POST /api/platformhub/{gitRef}/projecttemplates/{slug}/share

Path Parameters

  • gitRef string (required)
  • slug string (required)

Request Body

  • GitRef string (required)
  • IndividuallySharedSpaceIds array of string (required)
  • ShareToAllSpaces boolean (required)
  • Slug string (required)
    Minimum length 1.

Response

200 — Response containing the results of the share project template command

  • IndividuallySharedSpaceIds array of string
  • IndividuallyUnsharedSpaceIds array of string
  • SharedToAllSpaces boolean

Example Request

JSON
{
  "GitRef": "string",
  "IndividuallySharedSpaceIds": [
    "string"
  ],
  "ShareToAllSpaces": true,
  "Slug": "string"
}

Example Response

JSON
{
  "IndividuallySharedSpaceIds": [
    "string"
  ],
  "IndividuallyUnsharedSpaceIds": [
    "string"
  ],
  "SharedToAllSpaces": true
}